/*
 * Copyright (c) 1998, 2021 Oracle and/or its affiliates. All rights reserved.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License v. 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0,
 * or the Eclipse Distribution License v. 1.0 which is available at
 * http://www.eclipse.org/org/documents/edl-v10.php.
 *
 * SPDX-License-Identifier: EPL-2.0 OR BSD-3-Clause
 */

// Contributors:
//     Oracle - initial API and implementation from Oracle TopLink
package org.eclipse.persistence.testing.tests.unitofwork;


public abstract class UnitOfWorkEventTest extends org.eclipse.persistence.testing.framework.AutoVerifyTestCase {
    protected boolean eventTriggered;

    public boolean isEventTriggered() {
        return eventTriggered;
    }

    @Override
    public void reset() {
        setEventTriggered(false);
        getAbstractSession().rollbackTransaction();
        getSession().getIdentityMapAccessor().initializeAllIdentityMaps();
    }

    public void setEventTriggered(boolean newValue) {
        this.eventTriggered = newValue;
    }

    @Override
    public void setup() {
        setEventTriggered(false);
        getSession().getIdentityMapAccessor().initializeAllIdentityMaps();
        getAbstractSession().beginTransaction();
    }
}
